#particles-js canvas {
  z-index: -1;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #194db6;
  background-size: cover;
  background-position: 50% 50%;
}
body {
  z-index: 1000;
  /* margin: 0;
     padding: 0; */
  font-family: "Inter", sans-serif;
  background-color: #194db6;
}
/* Navigation Bar */
nav {
  position: sticky;
  top: 0;
  background: linear-gradient(90deg, #1e3a8a 0%, #1c2b36 100%);
  z-index: 10; /* make sure it's on top of other elements */
}
.navbar-link {
  text-decoration: none;
  border-bottom: 1px dotted currentColor;
}
.navbar-link:hover {
  border-bottom: 1px solid currentColor;
}
/* Shard Effect */
.shard {
  width: 100%;
  max-width: 300px; /* Adjust for responsiveness */
  border-radius: 12px;
}

.shard-stack {
  position: relative;
  width: 100%;
  max-width: 600px;
  height: 540px;
  aspect-ratio: 600 / 520;
  cursor: pointer;
  margin: 0 auto; /* Center it */
}

.shard-stack .shard {
  position: absolute;
  width: 100%;
  top: 0;
  left: 80px;
  border-radius: 12px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);
  transition: transform 0.5s ease, left 0.5s ease;
}

.shard-stack .shard:nth-child(1) { z-index: 3; }
.shard-stack .shard:nth-child(2) { z-index: 2; }
.shard-stack .shard:nth-child(3) { z-index: 1; }

/* Mobile hover effects */
@media (max-width: 450px) {
  .shard-stack .shard:nth-child(1) {
    left: calc(50% - 180px);;
    transform: rotate(-4deg);
  }

  .shard-stack .shard:nth-child(2) {
    left: calc(50% - 150px);
    transform: rotate(0deg);
  }

  .shard-stack .shard:nth-child(3) {
    left: calc(50% - 130px);
    transform: rotate(4deg);
  }
}

@media (min-width: 450px) and (max-width: 820px)
{
  .shard-stack .shard:nth-child(1) {
    left: calc(50% - 140px);
    transform: rotate(-4deg);
  }
  .shard-stack .shard:nth-child(2) {
    left: calc(50% - 120px);
    transform: rotate(0deg);
  }
  .shard-stack .shard:nth-child(3) {
    left: calc(50% - 100px);
    transform: rotate(4deg);
  }
}

/* Tablet hover effects */
/* @media (min-width: 720px) and (max-width: 820px) {
  .shard-stack .shard:nth-child(1) {
    left: 40px;
    transform: rotate(-4deg);
  }
  .shard-stack .shard:nth-child(2) {
    left: 60px;
    transform: rotate(0deg);
  }
  .shard-stack .shard:nth-child(3) {
    left: 80px;
    transform: rotate(4deg);
  }
} */

/* Desktop hover effects */
@media (min-width: 820px) {
  .shard-stack:hover .shard:nth-child(1) {
    left: calc(25% - 100px);
    transform: rotate(-4deg);
  }

  .shard-stack:hover .shard:nth-child(2) {
    left: calc(25% - 80px);
    transform: rotate(0deg);
  }

  .shard-stack:hover .shard:nth-child(3) {
    left: calc(25% - 60px);
    transform: rotate(4deg);
  }
}

/* Mobile touch effects */
@media (max-width: 767px) {
  .shard-stack {
    aspect-ratio: 600 / 600; /* Increase height on mobile to prevent overflow */
    margin-bottom: 2rem; /* Add extra bottom margin */
  }

  .shard-stack:active .shard:nth-child(1) {
    left: -20px;
    transform: rotate(-4deg);
  }

  .shard-stack:active .shard:nth-child(2) {
    left: 0px;
    transform: rotate(0deg);
  }

  .shard-stack:active .shard:nth-child(3) {
    left: 20px;
    transform: rotate(4deg);
  }
}

.shard.exit {
  transform: translateX(100%) rotate(15deg);
  opacity: 0;
}

.hinttext {
  color: #ccc;
  font-style: italic;
  font-size: 0.7em;
  text-align: center;
  margin-top: 10px;
}
